Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
API Reference
Create a revalidation trigger for a project.
cURL
curl --request POST \ --url https://api.example.com/v1/observe/triggers \ --header 'Content-Type: application/json' \ --data ' { "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "trigger_on": "<string>", "validation_type": "full", "threshold": 123, "config": {} } '
import requests url = "https://api.example.com/v1/observe/triggers" payload = { "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "trigger_on": "<string>", "validation_type": "full", "threshold": 123, "config": {} } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.text)
const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: JSON.stringify({ project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', name: '<string>', trigger_on: '<string>', validation_type: 'full', threshold: 123, config: {} }) }; fetch('https://api.example.com/v1/observe/triggers', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "trigger_on": "<string>", "validation_type": "<string>", "active": true, "created_at": "2023-11-07T05:31:56Z", "threshold": 123, "config": {}, "last_triggered_at": "2023-11-07T05:31:56Z" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>", "input": "<unknown>", "ctx": {} } ] }
Successful Response